
.gridView {
	--primary-color: #657d69;
	overflow: hidden;
}
.gridHeader{
	background:var(--primary-color); 
	color: #fff;
	fill: #fff;
	position: absolute;
	top: 0;
	left: 0;
	display: flex;
	justify-content: space-evenly;
	font-weight: 600;
	user-select: none;
	height: 35px;
	border-bottom: 2px solid #333;
}
.gridHeader > div{
	line-height: 30px;
	padding: 2px 5px;
	position: relative;
}

.gridHeader .filter:hover svg, .gridHeader >div:hover .sort svg{}

.gridHeader .filter:hover svg path {
	
	opacity: 1 !important;
}
.gridHeader .filter .popover{
	min-width: 150px;
	position: absolute;
    background: rgb(255, 255, 255);
    color: rgb(0, 0, 0);
    right: 0px;
    padding: 5px 10px;
	border: 1px solid #999;
	box-shadow: 0 0 5px;
	cursor: normal;
}

.gridHeader > div {
	display: inline-block; 
}

.gridHeader .l{
	width: 2px;
	height:100%;
	background: #000;
	float: right;
	cursor: col-resize;
}
.gridHeader >div:hover svg, .gridHeader >div:active svg{
	opacity: 1!important;
}



#ghostbar{
    width:1px;
    background-color:#000;
    opacity:0.5;
    position:absolute;
    cursor: col-resize;
    z-index:999;
	top:0;
	bottom: 0;
	
}
.gridView table{
	
	border-right: 1px solid #fff;
}
.gridView table thead td{
	height: 1px ;
	line-height: 1px;
	overflow: hidden;	
}
.gridView tbody tr:nth-child(even){
	background: #eee;
}

.gridView tbody tr.active td{
	background: #657d6950;
}


.gridView table td{
	padding: 0 5px;
	line-height: 25px;
	border-right: 1px solid #44444422;
}